org.springframework.aop

## Interface IntroductionInfo

- All Known Subinterfaces:
    IntroductionAdvisor
  All Known Implementing Classes:
    DeclareParentsAdvisor, DefaultIntroductionAdvisor, DelegatePerTargetObjectIntroductionInterceptor, DelegatingIntroductionInterceptor, IntroductionInfoSupport

      public interface IntroductionInfo

  Interface supplying the information necessary to describe an introduction.

  `IntroductionAdvisors` must implement this interface. If an `Advice` implements this, it may be used as an introduction without an `IntroductionAdvisor`. In this case, the advice is self-describing, providing not only the necessary behavior, but describing the interfaces it introduces.

  Since:
    1.1.1
  Author:
    Rod Johnson

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Class[]` | `getInterfaces()` Return the additional interfaces introduced by this Advisor or Advice.

- - ### Method Detail

    - #### getInterfaces

          Class[] getInterfaces()

      Return the additional interfaces introduced by this Advisor or Advice.
      Returns:
        the introduced interfaces